Subject: Re: jc/fix-pull-ff-only-when-already-up-to-date, was Re: What's cooking in git.git (Nov 2021, #03; Tue, 9)

From: Junio C Hamano <[email-masked]>
Date: Wed, 10 Nov 2021 09:20:28 -0800

Johannes Schindelin <[email-masked]> writes:

> On Tue, 9 Nov 2021, Junio C Hamano wrote:
>
>> * jc/fix-pull-ff-only-when-already-up-to-date (2021-10-29) 1 commit
>>   (merged to 'next' on 2021-10-29 at ad4753e668)
>>  + pull: --ff-only should make it a noop when already-up-to-date
>>
>>  "git pull --ff-only" and "git pull --rebase --ff-only" should make
>>  it a no-op to attempt pulling from a remote that is behind us, but
>>  instead the command errored out by saying it was impossible to
>>  fast-forward, which may technically be true, but not a useful thing
>>  to diagnose as an error.  This has been corrected.
>>
>>  Will cook in 'next'.
>
> I would like to register a vote for advancing this into v2.34.0,
> still.

I didn't recall I did it as a regression fix, but as a fix for
relatively old change that is already in released version(s) in the
field.  If the breakage is new between 2.33.0 and 'master', I think
it is a good idea to merge it down.

Thanks.